Bug 1410985 - Review Request: php-twig2 - The flexible, fast, and secure template engine for PHP
Review Request: php-twig2 - The flexible, fast, and secure template engine fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-07 02:11 EST by Remi Collet
Modified: 2017-01-20 12:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-20 12:53:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (61.33 KB, text/plain)
2017-01-08 14:49 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (38.00 KB, text/plain)
2017-01-08 14:50 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.07 KB, text/plain)
2017-01-08 14:50 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2017-01-07 02:11:52 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/de0f422efa5618d7bc963adeaeddc0cb9e3dfb0b/php/php-twig2/php-twig2.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-twig2-2.0.0-1.remi.src.rpm
Description: 
The flexible, fast, and secure template engine for PHP.

* Fast: Twig compiles templates down to plain optimized PHP code. The
  overhead compared to regular PHP code was reduced to the very minimum.

* Secure: Twig has a sandbox mode to evaluate untrusted template code. This
  allows Twig to be used as a template language for applications where users
  may modify the template design.

* Flexible: Twig is powered by a flexible lexer and parser. This allows the
  developer to define its own custom tags and filters, and create its own
  DSL.

Autoloader: /usr/share/php/Twig2/autoload.php

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2017-01-08 14:49 EST
Created attachment 1238456 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.2 DB version 1.16.0 built Dec 16 2016 07:52:35 CET
Comment 2 Shawn Iwinski 2017-01-08 14:50 EST
Created attachment 1238457 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.2 DB version 1.16.0 built Dec 16 2016 07:52:35 CET
Comment 3 Shawn Iwinski 2017-01-08 14:50 EST
Created attachment 1238458 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1410985
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2017-01-08 14:51:04 EST
No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2017-01-09 00:43:05 EST
Thanks for the review.

I have requested new package on pkgdb, setting you as co-owner.
Comment 6 Gwyn Ciesla 2017-01-09 09:24:28 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-twig2
Comment 7 Fedora Update System 2017-01-09 09:40:21 EST
php-twig2-2.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-78eea6cf5e
Comment 8 Fedora Update System 2017-01-09 22:27:53 EST
php-twig2-2.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78eea6cf5e
Comment 9 Fedora Update System 2017-01-12 03:20:14 EST
php-twig2-2.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-78eea6cf5e
Comment 10 Fedora Update System 2017-01-13 03:30:58 EST
php-twig2-2.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78eea6cf5e
Comment 11 Fedora Update System 2017-01-20 12:53:26 EST
php-twig2-2.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.